package com.sd.business.controller.order;

import org.springframework.web.bind.annotation.*;
import com.sd.business.entity.order.vo.OrderSkuArtworkLogVo;
import com.sd.business.entity.order.dto.OrderSkuArtworkLogSelectDto;
import com.sd.business.service.order.OrderSkuArtworkLogService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 订单sku图稿日志 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-11-23
 */
@RestController
@RequestMapping("/orderSkuArtworkLog")
public class OrderSkuArtworkLogController {

    @Autowired
    private OrderSkuArtworkLogService orderSkuArtworkLogService;

    /**
     * 订单sku图稿日志列表
     */
    @PostMapping("/list")
    public List<OrderSkuArtworkLogVo> list(@RequestBody OrderSkuArtworkLogSelectDto dto) {
        return orderSkuArtworkLogService.getListByOrderId(dto.getId());
    }

}
