package com.sd.business.entity.area.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * 中国行政地区表列表查询入参实体
 *
 * @author
 * @since 2023-11-20
 */
@Getter
@Setter
public class AreaSelectDto extends BaseSelectDto {

    /**
     * 父级行政代码
     */
    @NotNull(message = "父级行政代码不能为空")
    private Long parentCode;

}
