package com.sd.business.entity.sku.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 用户专属sku列表查询入参实体
 *
 * @author
 * @since 2023-11-20
 */
@Getter
@Setter
public class SkuUserSelectDto extends BaseSelectDto {

    /**
     * 编号
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

}
