package com.sd.business.entity.bom.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * bom列表查询入参实体
 *
 * @author
 * @since 2023-11-20
 */
@Getter
@Setter
public class BomSelectDto extends BaseSelectDto {

    /**
     * 名称
     */
    private String name;

    /**
     * 品号
     */
    private String code;

    /**
     * 种类 字典:bom_species
     */
    private String species;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 压纹工艺 字典:bom_embossingProcess
     */
    private String embossingProcess;

    /**
     * 正面纹路 字典:bom_frontGrain
     */
    private String frontGrain;

    /**
     * 背面纹路 字典:bom_reverseGrain
     */
    private String reverseGrain;

    /**
     * 规格品名
     */
    private String bomSpecName;

    /**
     * 规格品号
     */
    private String bomSpecCode;

    /**
     * 颜色
     */
    private String colour;

    /**
     * bom分类id
     */
    private List<Long> bomClassifyIdList;

}
