package com.sd.business.service.area;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.area.bo.SetAreaName;
import com.sd.business.entity.area.dto.AreaSelectDto;
import com.sd.business.entity.area.po.Area;
import com.sd.business.entity.area.vo.AreaVo;

import java.util.Collections;
import java.util.List;

/**
 * <p>
 * 中国行政地区表 服务类
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
public interface AreaService extends BaseService<Area> {

    /**
     * 中国行政地区表列表
     */
    List<AreaVo> getList(AreaSelectDto dto);

    /**
     * 赋值地区名称
     */
    void setAreaName(List<? extends SetAreaName> list);

    /**
     * 赋值地区名称
     */
    default void setAreaName(SetAreaName areaName) {
        setAreaName(Collections.singletonList(areaName));
    }

}
